/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.dd;

import org.jboss.logging.Logger;

/**
 * Represents an <loader-repository-config> element of the jboss.xml deployment descriptor
 * for the 1.4 schema
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version <tt>$Revision: 1.1.2.5 $</tt>
 */
public class LoaderRepositoryConfig
{
   private static final Logger log = Logger.getLogger(LoaderRepositoryConfig.class);

   private String value;
   private String configParserClass;

   public String getValue()
   {
      return value;
   }

   public void setValue(String value)
   {
      this.value = value;
   }

   public String getConfigParserClass()
   {
      return configParserClass;
   }

   public void setConfigParserClass(String configParserClass)
   {
      this.configParserClass = configParserClass;
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append("[");
      sb.append("value=").append(value);
      sb.append(", configParserClass=").append(configParserClass);
      sb.append("]");
      return sb.toString();
   }
}
